function pre_arx(FILENAME1,FILENAME2)
% Prepares input files for run_arx
  
CISM_DX_GLOBALS; % Load global variables

fprintf('Program pre_arx.m is preparing input files ...\n');fflush(stdout);

X1 = load(FILENAME1);  
X1 = reflag(X1,99999,NaN);

X2 = load(FILENAME2);  
X2 = reflag(X2,99999,NaN);

[Ap,V,T] = time_union2(X1,X2);

save pre_arx.mat Ap V Time

fprintf('... done preparing input files.\n');
