% Write parameters of a persistence model to a file for arx to read 
clear
CISM_DX_FLAG      = 99999;
Tac       = 0;
Tc        = 0;
T         = 1;
P         = [0 1]';
Nin       = 0;
Nx        = 1;
Verbosity = 0;

for Ts = 0:6

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Write model parameter file required by arx.c
fid = fopen('P.dat','w');
fprintf(fid,'%f %f %f %f %f\n',P);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Write Po.dat file
fid = fopen(sprintf('P%do.dat',Ts),'w');
fprintf(fid,sprintf('T%d.dat   # The name of the output file to write\n',Ts));
fprintf(fid,'X.dat   # The name of the data to read in\n');
fprintf(fid,'P.dat   # The model parameters\n');
fprintf(fid,'%d      # Tac\n',Tac);
fprintf(fid,'%d      # Tc\n',Tc);
fprintf(fid,'%d      # T\n',T);
fprintf(fid,'%d      # Ts\n',Ts);
fprintf(fid,'%d      # Nin\n',Nin);
fprintf(fid,'%d      # Nx\n',Nx);
fprintf(fid,'%d      # CISM_DX_FLAG\n',CISM_DX_FLAG);
fprintf(fid,'%d      # The level of verbosity',Verbosity);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

end