
NAMESo = ...
    ['NAL';'LYR';'HOR';'HOP';'BJN';'SOR';'ABK';'KIR';'SOD';'OUJ';'HAN';'NUR'];

NAMES = [NAMESo , repmat(' X (FMI 1-min)',size(NAMESo,1),1)];
X     = ts_slice(NAMES,[1998,1,1],[1999,12,31]);
Xm    = mean(X);
if (~exist('FMI_1_min_test_X.mat'))
  save -V6 FMI_1_min_test_X.mat Xm
end
Xm_check = load('FMI_1_min_test_X.mat');

if (Xm_check.Xm ~= Xm)
  error('FMI_1_min_test: Test 1 failed.');
else
  fprintf('FMI_1_min_test: Test 1 succeeded.\n');
  clear Xm_check;
end

NAMES = [NAMESo , repmat(' Y (FMI 1-min)',size(NAMESo,1),1)];
Y     = ts_slice(NAMES,[1998,1,1],[1999,12,31]);
Ym    = mean(Y);
if (~exist('FMI_1_min_test_Y.mat'))
  save -V6 FMI_1_min_test_Y.mat Ym
end
Ym_check = load('FMI_1_min_test_Y.mat');

if (Ym_check.Ym ~= Ym)
  error('FMI_1_min_test: Test 2 failed.');
else
  fprintf('FMI_1_min_test: Test 2 succeeded.\n');
  clear Ym_check;
end

NAMES = [NAMESo , repmat(' Z (FMI 1-min)',size(NAMESo,1),1)];
Z     = ts_slice(NAMES,[1998,1,1],[1999,12,31]);
Zm    = mean(Z);
if (~exist('FMI_1_min_test_Z.mat'))
  save -V6 FMI_1_min_test_Z.mat Zm
end
Zm_check = load('FMI_1_min_test_Z.mat');

if (Zm_check.Zm ~= Zm)
  error('FMI_1_min_test: Test 3 failed.');
else
  fprintf('FMI_1_min_test: Test 3 succeeded.\n');
  clear Zm_check;
end



