clear

dl = 0;
tsds_version = '0'; % TSDS version number

% OMNIWeb1 first download
DATA_DIR   = OMNIWeb_get('1',dl,tsds_version);
[V1,Attr1] = OMNIWeb_extract(DATA_DIR,'1');

% OMNIWeb2
DATA_DIR   = OMNIWeb_get('2',dl,tsds_version);
[V2,Attr2] = OMNIWeb_extract(DATA_DIR,'2');

ATTR1 = OMNIWeb_info(Attr1,'1',tsds_version);
ATTR2 = OMNIWeb_info(Attr2,'2',tsds_version);

ts_insert({ATTR1,ATTR2},{V1,V2},'OMNIWeb','clean');


