addpath([pwd,'/../../../epstk21/m']);
addpath([pwd,'/../../../epstk21/m-rsw']);
addpath('./');

LIST = {'help-octave','bug-octave','octave-sources',...
	'octave-graphics','octave-maintainers'};

yf = date;
yf = str2num(yf(end-3:end));

BASEURL = 'http://velveeta.che.wisc.edu/octave/lists';
for l = 1:length(LIST)

  system(sprintf('rm %s.dat',LIST{l}));
  for y = 1992:yf

    cmd = sprintf('wget %s/%s/%d/index.html',BASEURL,LIST{l},y);
    system(cmd);

    if exist('./index.html')
      cmd = sprintf('perl octmail.pl %s',LIST{l});
      system(cmd);
      system('rm ./index.html');
    end
  end

  file = sprintf('%s.dat',LIST{l});
  D{l} = load(file);

end

save octmail.mat D

break


load octmail.mat

if (0)
  
P = eeplot;
P.eXAxisSouthValueVisible = 0;
P.eXAxisSouthScale  = [1 12 15*12];
P.eDashLengths  = -1*ones(size(P.eDashLengths));
P.ePlotAreaWidth = 160;
P.ePlotAreaHeight = 50;
P.ePlotAreaPos = [10 5];
P.ePlotTitleDistance = -5;

for i = 1992:yf
  P.eXAxisSouthValues{i-1991} = num2str(i);
end

for l = 1:length(LIST)  
  P.eFileName = sprintf('./figures/%s.eps',LIST{l});
  P.ePlotTitleText = sprintf('Number of emails to %s',LIST{l});
  FNAMES{l} = P.eFileName;
  eeplot(Dm(l,:),P);
end

estackeps(FNAMES);

end

