function make_1_min_hdf

more off;

for insert_flags = 0:1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Get global variables and path setting
TSDS_GLOBALS;
if (is_octave)
  error('Only works in Matlab.')
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Got a response indicating that Kyotyo did not want quick look data
% included in this data set, so this is not used.
if (0)
load('%sKyoto_QL_AE_1_min_1997_X.mat');

hdf_file = 'TSDS_1_min_data.hdf';
if (exist(hdf_file))
  eval(sprintf('!rm %s',hdf_file));,end

if (insert_flags == 1)
  hdf_file_meta = 'TSDS_1_min_data-metadataonly.hdf';
  if (exist(hdf_file_meta))
    eval(sprintf('!rm %s',hdf_file_meta));,end
end

descr = sprintf('Part of the TSDS uniform time series ');
descr = [descr ,  sprintf('database, version ')];
descr = [descr ,  sprintf('%.2f.\nCreated %s.\n',VERSION,datestr(now,1))];

sd_id    = hdfsd('start',hdf_file,'DFACC_CREATE');
status   = hdfsd('setattr',sd_id,'FileDescription',descr);

SDS.Name     = '';
SDS.Format   = '';
SDS.PPD      = '1440';
SDS.Label    = '';

SDS.Note     = ['Data on 1-min time grid starting on first min of Year_o' ...
		' and ending on last hour of Year_f'];

SDS.Warn     = ['Caution: this is Quick Look data and is not' ...
		' appropriate for scientific analysis.  See ',...'
		'http://swdcwww.kugi.kyoto-u.ac.jp/aedir/ae1/quick.html'];
SDS.cordsys  = '';
SDS.Unit     = 'nT';
SDS.timeunit = 'minute';
SDS.dt       = '1';
SDS.Year_o   = '1997';
SDS.Year_f   = '2001';
SDS.FLAG     = TSDS_FLAG;
SDS.Source   = '';
SDS.Ack      = ['See http://swdcwww.kugi.kyoto-u.ac.jp/wdc/Sec3.html for',...
		' info on acknowledements'];
SDS.README   = 'see make_Kyoto_QL_1997_X.m';
SDS.LatLong  = 'NA';
SDS.Created_With  = ['make_ACE_*.m in TSDS-',VERSION];

SDS.Name         = 'Kyoto Quicklook AE';
insert_sds(sd_id,AE',SDS,insert_flags);
SDS.Name         = 'Kyoto Quicklook AL';
insert_sds(sd_id,AL',SDS,insert_flags);
SDS.Name         = 'Kyoto Quicklook AU';
insert_sds(sd_id,AU',SDS,insert_flags);
end

stat       = hdfsd('end',sd_id);

if (insert_flags == 1)
  system(sprintf('mv %s %s',hdf_file,hdf_file_meta));;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end % for insert_flags = 0:1