#  Usage: NGDC_extract_F10_7.pl TEMPDIR [DAILYPLT.ADJ|DAILYPLT.OBS]
#  
#  R.S. Weigel 04/07/2004.

$DATA_OUT = "$ARGV[0]/$ARGV[1].modified";
open(DATA_out,">$DATA_OUT");

$dirname = './';

open(DATA_in,"$ARGV[1]");
print "NGDC_extract_F10_7.pl is operating on file: $ARGV[1] ... \n";

while ( $line1 = <DATA_in> ){
    
    $line1 =~ s/\cM//g; 
    $line1 =~ s/\cJ//g; 
    # Some files use unix newline (\n), others use windows
    # style newline (\r\n). 
    
    
    $YR   = substr($line1,0,4);
    $MO   = substr($line1,4,2);
    $DY   = substr($line1,6,2);
    $D    = substr($line1,8,9);

    # If TB field is blank, replace with flag
    if ($D !~ m/[0-9]/) { $D = "    99999"; } 

    print DATA_out "$YR $MO $DY $D\n";
#    print "$YR $MO $DY $D\n";

}

print "Output file is $DATA_OUT\n";
close(DATA_out);
