#!/usr/bin/perl
#
#  Usage: replace_pattern.pl PATTERN_orig PATTERN_new 
#  Looks at all files in current directory and prints lines and files
#  that would be changed to screen.
#
#  Usage: find_replace.pl PATTERN_orig PATTERN_new 1
#  Actually modifies the files.
#
#  R.S. Weigel 03/05/2005;

use File::Find;

###############################################################################
$num = scalar(@ARGV); # number of input arguments.
if ($num < 3) {$ARGV[2] = 0;}
$OLDPATTERN = $ARGV[0];
$NEWPATTERN = $ARGV[1];

print "Pattern to replace: $OLDPATTERN\n";
print "New Pattern       : $NEWPATTERN\n";
print "Modify files?     : $ARGV[2]\n";
###############################################################################
@directory = ("./");

find(\&wanted, @directory);

sub wanted {

    # Modify files with these extensions
    if ( ($_ =~ m/\.htm/) ){

	$found_pattern = 0;

	open(DATA_in,"$_");

	if ($ARGV[2] == 1) {
	    system("cp --preserve $_ $_.tmp");
	    open(DATA_out,">$_.tmp");
	}

	while ($line = <DATA_in>){

	    $line_o = $line;

	    if ($line =~ s/$OLDPATTERN/$NEWPATTERN/) {
		print "File: $_\n";
		print "-- Before $_: $line_o";
		print "-- After $_:  $line";
		$found_pattern = 1;
	    }
	    
	    if ( ($ARGV[2] == 1) ) {
		print DATA_out "$line";
	    }

	}
	close(DATA_in);

	if ( ($ARGV[2] == 1) & ($found_pattern == 1) ) {
	    close(DATA_out);
	    system("cp --preserve $_.tmp $_");
	    system("rm -f $_.tmp");
	}
	if ( ($ARGV[2] == 1) & ($found_pattern == 0) ) {
	    system("rm -f $_.tmp");
	}

    }

}
