%TSDS A time series creation/exchange/archive program.
%
%   The TSDS manual can be viewed with a web browser by opening the local
%   file tsds/doc/tsds.htm or www.scs.gmu.edu/~rweigel/tsds.
%
%   >> ts_manual
%
%   Examples: See the text files tsds/time_series/ts_get_demo.m and
%             tsds/time_series/ts_slice_demo.m
%
%   The two most important TSDS functions are "ts_list" and "ts_slice".
%   Type 
%
%   >> help ts_list  % or
%   >> help ts_slice % for more information 
%
%   To list data only from a given source, type
%
%   >> ts_list('SourceName')
%
%   where SourceName can be any of the following: Akebono, Augsburg, CDAWeb,
%   COHOWeb, DMI, FMI, ISGI, Kyoto, ModelWeb, Nagoya, NGDC, NSSDC, OMNIWeb,
%   SAMPEX, SEC, WSA, WSO, Yahoo.
%
%   See also TS_LIST, TS_GET, TS_SLICE.

TSDS_GLOBALS;

