function Attr = ts_attr(Attr_tocheck)
%TS_ATTR Return the default attribute structure.
% 
%  
  
TSDS_GLOBALS;

if (nargin == 0) 
  Attr.Size     = [];
  Attr.DataType = 'float';  
  Attr.Format   = ' ';
  
  Attr.Name    = ' ';
  Attr.Label   = ' ';
  Attr.Version = '0';
  Attr.Note    = ' ';
  
  Attr.CoordinateSystem  = '_';
  Attr.GeographicLatLong  = ' ';
  Attr.GeomagneticLatLong = ' ';
  
  Attr.Unit    = ' ';
  Attr.TimeUnit = ' ';
  Attr.PPD      = ' ';
  Attr.Year_o   = ' ';
  Attr.Year_f   = ' ';
  Attr.FLAG     = 'NaN';
  
  Attr.Source          = ' ';
  Attr.Acknowledgement = ' ';
  Attr.Warning         = ' ';
  Attr.README          = ' ';
end

if (nargin == 1)
  if (isempty(Attr_tocheck))
    Attr = ts_attr;
  end
  
end


  
  