function [T_ensemble] = ensemble_prediction();
%ENSEMBLE_PREDICTION Use all available model outputs to make final prediction.
%
%   [T_ensemble] = ensemble_prediction
%
%   Currently the ensemble prediction algorithm is trivial.
%
  
% RSW 04/15/2004.  
% MG  07/11/2004: changed absolute to relative paths

CISM_DX_GLOBALS;  % Load the global parameter data
  
T1 = load('./Persistence/T_combined.dat');
T2 = load('./Autoregressive/T_combined.dat');
T3 = load('./ARX/T_combined.dat');
T4 = load('../Solar_Wind_Velocity/Autoregressive/T_combined.dat');
T5 = load('../Solar_Wind_Velocity/wsa_wso/T_combined.dat');
T6 = load('../Solar_Wind_Velocity/wsa_mwo/T_combined.dat');

% Insert function that takes in T1, T2, and T3 and makes decision for best
% forecast.

% Needs to account for different dates in T1, T2, and T3.

T_ensemble = 1.0*T2;
