pro loadct1, number


i_tbl_arr = [41, 42, 43, 44, 45, $
	46, 47, 48, 49, 50, $
	51, 52]
file_suffix = '~/Programming/Libs/own/IDL/2_comp_sci/graphics/'
files_arr = ['dvcolors.tbl', $
	'dvcolorsprint.tbl', $
	'hotcold.tbl', $
	'hotcold.snowcap.tbl', $
	'16_steps.tbl', $
	'bw_few_top_steps.tbl', $
	'bw_few_top_steps2.tbl', $
	'16_level_bw.tbl', $
	'latest.tbl', $
	'hotcold_discrete.tbl', $
	'reverse_bw_discrete.tbl', $
	'white_w_black_lines.tbl']
files_arr = file_suffix+files_arr


n_tbl = n_elements(i_tbl_arr)


if n_elements(number) eq 0 then begin
	print, 'LOADCT1: Tables available:
	for i = 0, n_tbl-1 do begin
		print, i_tbl_arr(i), ': ', files_arr(i)
	endfor
endif else begin
	i = where(i_tbl_arr-number eq 0, count)
	if count eq 0 then begin
		print, ''
		print, 'LOADCT1: Wrong number. Try again.'
		print, 'LOADCT1: Valid numbers are: '
		print, 'LOADCT1: ', i_tbl_arr
		print, ''
	endif else begin
		loadct, number, file = files_arr(i)
	endelse
endelse


return
end
