function [T_ensemble] = ensemble_prediction();
%ENSEMBLE_PREDICTION Use all available model outputs to make final prediction.
%
%   [T_ensemble] = ensemble_prediction
%
%   Currently the ensemble prediction algorithm is trivial.
%
  
% RSW 04/15/2004.  

CISM_DX_GLOBALS; % Load global variables  
  
T1 = load('./Persistence/T_combined.dat');
T2 = load('./Autoregressive/T_combined.dat');
T3 = load('./wsa_wso/T_combined.dat');
T4 = load('./wsa_mwo/T_combined.dat');

% Insert function that takes in T1, T2, and T3 and makes decision for best
% forecast.

% Needs to account for different dates in T1, T2, and T3.

T_ensemble = 1.0*T2;
