
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Use to demonstrate bug in epstk21 eimagesc. (see lines if (1) and if (0))
Z        = [0:1:4];
Z        = [Z;Z];
Z        = Z+0.1;
Z(1,1)   = 0;
Z(:,end) = 5;

eglobpar;         % get global parameters
einit;
eopen('eepcolor0_demo.eps');  % open eps-file and write eps-head
Cm = ecolors(0,5);
eimagesc(Z,Cm,'e');
%epolaris(Z,Cm,'e');
eclose;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear P;
P.FileName='eepcolor0_demo2.eps';
P.eXAxisSouthLabelEvery=2;
P.ShowContours=0;
P.eImageLegendScale=[0 0 10];
P.PlotBoth=1;

% Make matrix on lower image have same orientation of Z on screen
% Upper left is Z(1,1), lower right is Z(end,end)
P.eMatrixView = 0;
P.NumColors=16;
Z = [Z;Z+1];
eepcolor0(Z,P);
Z
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
break
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear P;
P.filename = 'eepcolor0_demo3.eps';
P.eXAxisSouthLabelEvery = 2;
P.ShowContours = 1;
P.ShowContourValue = 1;

Z = ones(10,9);
Z = cumsum(cumsum(Z,1),2)-45;

eepcolor0(Z,P);
%contour(Z); % By default, eepcolor has same orientation on screen as contour
% Matrix orientation in figure is rotated 90 degrees CCW from that
% printed from command line
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
break


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

I = 6;
J = 9;

Z = [1:I*J];
Z = reshape(Z,I,J);

X = 1/(2*I)+[0:I-1]/I;
Y = 1/(2*J)+[0:J-1]/J;

X = X*360;
Y = Y*90;

P.eMatrixView = 0;
P.eXAxisSouthLabelEvery = 1;
P.ShowContours = 1;
P.ShowContourValue = 1;
P.filename              = 'eepcolor0_demo3.eps';
P.eXAxisSouthLabelText  = 'x [degrees longitude]';
P.eYAxisWestLabelText   = 'y [degrees colatitude] (or radius)';
P.eImageLegendLabelText = 'z(r=y,theta=x)';

eepcolor0(X,Y,Z,P);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%