%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Compare what TSDS returns from what is in original data file on
% [1963,1,1].  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% From original file, 
% http://www.cetp.ipsl.fr/%7Eisgi/source/indices/am
% cached file is at 
% http://www.scs.gmu.edu/~rweigel/tsds_data/original-s0/www.cetp.ipsl.fr/%7Eisgi/source/indices/am
% am has values in Xcheck (Data in file is in 3-hour intervals).
Xcheck = [7 7 7 12 12 12 12 12 12 10 10 10 9 9 9 13 13 13 6 6 6 5 5 5]';

UTo   = [1963,1,1];
UTf   = [1963,1,1];
Names = {'am index (ISGI 1-hour)','Dst final index (Kyoto 1-hour)'};
[X,T] = ts_slice(Names,UTo,UTf);

if( sum(X(1:24,1)-Xcheck) ~= 0)
  error('Error for ts_slice_demo test 1\n');
else
  fprintf('\nSuccess for ts_slice_demo test 1\n');
end

[X,T] = ts_slice(Names,UTo,UTf,'day'); % Use dTforce option

if( (mean(Xcheck(:,1))-X) ~= 0)
  error('Error for ts_slice_demo test 2\n');
else
  fprintf('\nSuccess for ts_slice_demo test 2\n\n');
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



