more off;                 % Turn off screen paging
tic
fprintf80(['tsds_test_full: This test requires an internet connection '...
	   'and will download over 5 GB of data.']);
input('tsds_test_full: CTRL-C to quit or Enter to continue\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Create tsds_test_full.txg
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rm('tsds_test_full.log'); % Remove any previous copy in current directory
diary tsds_test_full.log  % Start writing screen output to file


test; % This calls the spot check check in directory tsds/make_fns


NAMES = ts_list;          % Puts names of all available time series in the
                          % cell array NAMES
			  
% Loop through all names and make sure files download and load
for i = length(NAMES):-1:1  % Reverse order so magnetometer data goes last
  [I,X] = ts_get(NAMES{i}); % Grab full time series
end

fprintf('\n\ntsds_test_full.m: elapsed time %f seconds:\n\n',toc);
diary off % Stop writing screen output to file
fprintf('\n\ntsds_test_full.m: Log file is tsds_test_full.log\n\n');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
