#!/usr/bin/perl
#
# octave.cgi  
# R.S. Weigel, 03.19.2006.
# Based on goOctave.cgi written by mai@ms.uky.edu.
# Both this file and the original goOctave.cgi is under GPL 2.0 copyright.

# For security reason, Octave's file/directory commands are disabled.

#use strict;
use CGI;

my($temp);
$temp = "/tmp";

#$allowedhost = '\.edu';
$allowedhost = '127.0.0.1';

my($results, $in);
my($q)= new CGI;

# Reconstruct any inputs
#if ($results=$q->param('CALLER')) {
#    $results='<INPUT TYPE=HIDDEN NAME="CALLER" VALUE="'.$results.'">';
#    }
#@input = $q->param('INPUT');

$in=join("\n",$q->param('INPUT'));

##############################################################################
# Print input form
print $q->header ();
print <<END_HTML;

<HTML><HEAD><TITLE>octave.cgi</TITLE></HEAD>
<B>Program Input</B>
<BR>

<FORM METHOD=POST ACTION="$q->url">
<TEXTAREA NAME="INPUT" ROWS=5 COLS=80>$in</TEXTAREA>
<BR>
<INPUT TYPE=SUBMIT VALUE="Submit to Octave">
$results
</FORM>

END_HTML
##############################################################################

##############################################################################
# Basic IP checks
if (($q->referer()) && ($q->referer() !~ /$allowedhost\//)) {
  print '<b>Sorry, your IP is not allowed to run scripts here.</b>';
  exit;
}
##############################################################################

##############################################################################
if ($in) {

    # Give our input (if any) to a file, filter out some commands.
    chdir($temp);
    open(R, ">$temp/octave.in");

    $in =~ s/\r//g;
    $in =~ s/(dir|shell|system|rmdir|ls|mkdir|rename|unlink)[^\n]*//g;
    $in =~ s/(umask|mkfifo|readdir|popen|fork|cd|chdir|getpw)[^\n]*//g;

    # I think they're the only really nasty things to trap ...
    print R $in."\n"; # End it politely (not an EOF at the end of a command)
    print R "quit\n";
    close R;

    my $x = 
	system(`octave --traditional -f -q <$temp/octave.in>$temp/octave.out`);

    # Read the output
    open(IN, "$temp/octave.out");

    # Tidy it up for HTML
    $results =  join(" ",<IN>);
    $results =~ s/&/&amp;/g;
    $results =~ s/</&lt;/g;
    $results =~ s/>/&gt;/g;
    close(IN);

    # Print it out
    $thedate = `date +%Y%m%d%H%M%S`;
    print <<END_HTML;
    <HR>
    <B>Program Output</B> (octave.cgi reference $$: $thedate)
    <PRE>$results</PRE>
END_HTML

    # Have we got a call-back name?
    #    if ($in=$q->param('CALLER')) {
    #        print '<HR><A HREF="'.$in.'">Return to '.$in.'</A>';
    #    }
    
} # if($in)
##############################################################################

print '<HR></BODY></HTML>';
