
D = ts_slice('Akebono MeV > 2.5 electron flux amplitude',...
	     [1989 1 1],[1989 4 1]);

if (D(63) ~= 0.524807) % Day 63, L=1.0-1.1 (64th row of file FluxVsL.1989.dat)
  error('Error for Akebono_test test 1.1\n');
else
  fprintf('\nSuccess for Akebono_test test 1.1\n\n');
end


D = ts_slice('Akebono MeV > 2.5 electron flux amplitude',...
	     [1993 4 4],[1993 4 4]);

if (D(1) ~= 2.08930) % Day 94, L=1.0-1.1 (95th row of file FluxVsL.1993.dat)
  error('Error for Akebono_test test 2.1\n');
else
  fprintf('\nSuccess for Akebono_test test 2.1\n\n');
end

% Day 94, L=1.8-1.9 (3023rd row of file FluxVsL.1993.dat)
if (D(9) ~= 120226) 
  error('Error for Akebono_test test 2.2\n');
else
  fprintf('\nSuccess for Akebono_test test 2.2\n\n');
end

% Day 94, L=5.8-5.9 (18029th row of file FluxVsL.1993.dat)
if (D(50) ~= 7244.36) 
  error('Error for Akebono_test test 2.3\n');
else
  fprintf('\nSuccess for Akebono_test test 2.3\n\n');
end

