function DATA_DIR = CDAWeb_get(dl,dl_orig,SATINFO)

TSDS_GLOBALS; % Get global variables and path setting

BASE = 'cdaweb.gsfc.nasa.gov';
PATH = ['pub/istp/',SATINFO.DATA_DIR];
URL  = sprintf('ftp://%s/%s',BASE,PATH);

DIR  = TSDS_DATA_ORIG;

if (dl)
  system(sprintf('cd %s ; echo $PWD ; %s -m "%s"',DIR,TSDS_WGET,URL));
end

DATA_DIR = [DIR,'/',BASE,'/',PATH];

if (dl_orig)
  for j = 1:size(SATINFO.DATA_PACKAGE_NAME,1)
    URL = sprintf('%s/%s/%s',...
		  TSDS_DATA_HTTP_ORIG,...
		  SATINFO.DATA_PACKAGE_DIR,...
		  SATINFO.DATA_PACKAGE_NAME(j,:));
    com = (sprintf('mkdir -p %s/%s ; cd %s/%s ; %s -m -nd "%s" ',...
		   TSDS_DATA_ORIG,...
		   SATINFO.DATA_PACKAGE_DIR,...
		   TSDS_DATA_ORIG,...
		   SATINFO.DATA_PACKAGE_DIR,...
		   TSDS_WGET,URL))
    system(com);
    com = (sprintf('cd %s/%s; pwd ; tar zxvf %s ; rm -f %s',...
		   TSDS_DATA_ORIG,...
		   SATINFO.DATA_PACKAGE_DIR,...
		   SATINFO.DATA_PACKAGE_NAME(j,:),...
		   SATINFO.DATA_PACKAGE_NAME(j,:)));
    system(com);
  end
end
