% Example:
% Instrument samples at 16s intervals.

T    = [0:16:16*200]';
Ti   = [30:60:1*60*1440]';  % The time vector to interpolate to

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Data = [0:16:16*200]';
Data([1:2:20])=NaN;
Data([10:20])=NaN;

[Datai,N] = interp1g(T,Data,Ti,'nearest');

[T(1:35) Data(1:35,:)]
[Ti(1:10) Datai(1:10,:) N(1:10)]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Data = [0:16:16*200]';
Data([1:1:20])=NaN;
[Datai,N] = interp1g(T,Data,Ti,'nearest');

[T(1:35) Data(1:35)]
[Ti(1:9) Datai(1:9) N(1:9)]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Data = [0:16:16*200]';
Data([1:1:20])=NaN;
Datai = interp1g(T,Data,Ti,'nearest');

[T(1:35) Data(1:35)]
[Ti(1:9) Datai(1:9) N(1:9)]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%