function DATA_DIR = COHOWeb_get(dl,version,SATINFO)

TSDS_GLOBALS; % Get global variables and path setting

BASE = 'nssdcftp.gsfc.nasa.gov';
PATH = ['spacecraft_data','/',SATINFO.DATA_DIR];
URL  = sprintf('ftp://%s/%s',BASE,PATH);
WC1   = '*.cdf';
WC2   = '*.txt';

DIR  = [TSDS_DATA_ORIG,sprintf('-s%d',version)];

if (dl == 1)
  system(sprintf('cd %s ; echo $PWD ; %s -m "%s/%s"',...
		 DIR,TSDS_WGET,URL,WC1));
  system(sprintf('cd %s ; echo $PWD ; %s -m "%s/%s"',...
		 DIR,TSDS_WGET,URL,WC2));
end

DATA_DIR = [DIR,'/',BASE,'/',PATH];

