% Currently only makes checks on sjg, hon, tik H and D data.

TSDS_GLOBALS

NAMES = {'SJG H (DMI WDC 1-hour)'};
	 
H  = ts_slice(NAMES,[1999 6 23],[1999 6 23]);
TB = 26600;
Hf = [TB+517;TB+514;TB+514;TB+513];

if (H(1:4)==Hf(1:4))
  fprintf('\nSuccess for DMI_1_hour test 1.1\n');
else
  error('Fail for DMI_1_hour test 1.1\n');  
end

NAMES = {'SJG D (DMI WDC 1-hour)'};

D  = ts_slice(NAMES,[1926 1 2],[1926 1 2]);
TB = -4*600;
Df = [TB-181;TB-179;TB-181;TB-181];

if (D(1:4)==Df(1:4))
  fprintf('\nSuccess for DMI_1_hour test 1.2\n');
else
  error('Fail for DMI_1_hour test 1.2\n');  
end

NAMES = {'SJG H (DMI WDC 1-hour)'};
	 
H  = ts_slice(NAMES,[1926 1 1],[1926 1 1]);
TB = 27000;
Hf = [99999;99999;99999;99999;TB+771;TB+770;TB+768];

if (H(1:7)==Hf(1:7))
  fprintf('\nSuccess for DMI_1_hour test 1.3\n');
else
  error('Fail for DMI_1_hour test 1.3\n');  
end

break

% grep "SJG9906D23" sjg1999.wdc 

NAMES = {'SJG D (DMI WDC 1-hour)'};

D  = ts_slice(NAMES,[1999 6 23],[1999 6 23]);
TB = -11*600;
Df = [TB-522;TB-522;TB-519;TB-517];

if (D(1:4)==Df(1:4))
  fprintf('\nSuccess for DMI_1_hour test 1.4\n');
else
  error('Fail for DMI_1_hour test 1.4\n');  
end

NAMES = {'SJG H (DMI WDC 1-hour)'};
	 
H  = ts_slice(NAMES,[1999 6 23],[1999 6 23]);
TB = 26600;
Hf = [TB+517;TB+514;TB+514;TB+513];

if (H(1:4)==Hf(1:4))
  fprintf('\nSuccess for DMI_1_hour test 1.5\n');
else
  error('Fail for DMI_1_hour test 1.5\n');  
end

NAMES = {'SJG D (DMI WDC 1-hour)'};

D  = ts_slice(NAMES,[1926 1 2],[1926 1 2]);
TB = -4*600;
Df = [TB-181;TB-179;TB-181;TB-181];

if (D(1:4)==Df(1:4))
  fprintf('\nSuccess for DMI_1_hour test 1.6\n');
else
  error('Fail for DMI_1_hour test 1.6\n');  
end

NAMES = {'SJG H (DMI WDC 1-hour)'};
	 
H  = ts_slice(NAMES,[1926 1 1],[1926 1 1]);
TB = 27000;
Hf = [99999;99999;99999;99999;TB+771;TB+770;TB+768];

if (H(1:7)==Hf(1:7))
  fprintf('\nSuccess for DMI_1_hour test 1.7\n');
else
  error('Fail for DMI_1_hour test 1.7\n');  
end

% grep "TIK9101D23" tik1991.wdc

NAMES = {'TIK D (DMI WDC 1-hour)'};

D  = ts_slice(NAMES,[1991 1 23],[1991 1 23]);
TB = -28*600;
Df = [TB+6011;TB+6021;TB+6021;TB+6026];

if (D(1:4)==Df(1:4))
  fprintf('\nSuccess for DMI_1_hour test 2.1\n');
else
  error('Fail for DMI_1_hour test 2.1\n');  
end




