function DATA_DIR = Kyoto_Dst_get(dl,version)

TSDS_GLOBALS;
  
BASE = 'swdcdb.kugi.kyoto-u.ac.jp';
PATH = 'dstdir';

URL  = sprintf('http://%s/%s',BASE,PATH);
DIR  = [TSDS_DATA_ORIG,sprintf('/manual_dl')];

if (version == 1)
  DIR = [TSDS_DATA_ORIG(1:end-1),num2str(version),sprintf('/manual_dl')];
end

DATA_DIR = [DIR,'/',BASE,'/',PATH];

if (dl == 1)
  fprintf('Kyoto_Dst_get: This data must be downloaded manually\n')
  fprintf('See README in %s\n',DATA_DIR);
end

% These should work, but a corrupt zip file is downloaded.
% Same problem is downloading with a browser ...

% wget -d 'data=dst5701.zip&name=x' "http://swdcwww.kugi.kyoto-u.ac.jp/cgi-bin/downlddst"

%curl -d 'data=dst5701.zip&name=x;type=application/x-zip-compressed' "http://swdcwww.kugi.kyoto-u.ac.jp/cgi-bin/downlddst" > dst5701.zip