NAMES = {'AE quicklook index (Kyoto 1-min)',...
	 'AL quicklook index (Kyoto 1-min)',...
	 'AU quicklook index (Kyoto 1-min)'};


D = ts_slice(NAMES,[1998 6 23],[1998 6 23]);

if (D(1,:) == [ 167 -90 77 ])
  fprintf('\nKyoto test 3.2 success.\n')
else
  error('Kyoto test 3.2 fail.\n')  
end

if (D(end-1,:) == [ 461 -189 272 ])
  fprintf('\nKyoto test 3.3 success.\n')
else
  error('Kyoto test 3.3 fail.\n')  
end

[I,D] = ts_get('AE quicklook index (Kyoto 1-min)');

%DATA_DIR  = Kyoto_AE_1_min_get(0,0);
%system(sprintf('head -1 %s/data=19970101.qae',DATA_DIR));
if (D(1:10) ~= [65 72 67 59 72 68 73 75 81 76]')
  error('Kyoto_test.m test 3.1 failed');
else
  fprintf('\nKyoto_test.m test 3.1 success.\n');
end

break

D = ts_slice('Dst final index (Kyoto 1-hour)',[1957 1 1],[1957 1 1]);

if (D(1:8) == [11 13 12 12 9 7 7 6]')
  fprintf('\nKyoto test 1.1 success.\n')
else
  error('Kyoto test 1.1 fail.\n')  
end

D = ts_slice('Dst final index (Kyoto 1-hour)',[1996 3 23],[1996 3 23]);

if (D(1:8) == [-44 -42 -45 -47 -46 -37 -30 -27]')
  fprintf('\nKyoto test 1.2 success.\n')
else
  error('Kyoto test 1.2 fail.\n')  
end


D = ts_slice('Dst provisional index (Kyoto 1-hour)',[1998 1 1],[1998 1 1]);

if (D(1:8) == [ -009 -008 -009 -009 -013 -016 -020 -026 ]')
  fprintf('\nKyoto test 2.2 success.\n')
else
  error('Kyoto test 2.2 fail.\n')  
end

D = ts_slice('Dst provisional index (Kyoto 1-hour)',[2001 12 10],[2001 12 10]);

if (D(1:8) == [ -011 -012 -012 -014 -010 -007 -006 -003]')
  fprintf('\nKyoto test 2.1 success.\n')
else
  error('Kyoto test 2.1 fail.\n')  
end


