function DATA_DIR = NGDC_F10_7_get(var,dl,version)

TSDS_GLOBALS;  

BASE = 'ftp.ngdc.noaa.gov';
PATH = '/STP/SOLAR_DATA/SOLAR_RADIO/FLUX';

if (var == 'adj')
  WC = '/*';
end
if (var == 'obs')
  WC = '/*';
end

WC_OTHER  = '/re*';

URL  = sprintf('ftp://%s/%s',BASE,PATH);

DIR  = TSDS_DATA_ORIG;

if (dl == 1)
  system(sprintf('cd %s ; echo $PWD ; %s -m -l 1 "%s%s"',...
		 DIR,TSDS_WGET,URL,WC));
  system(sprintf('cd %s ; echo $PWD ; %s -m -l 1 "%s%s"',...
		 DIR,TSDS_WGET,URL,WC_OTHER));
end

DATA_DIR = [DIR,'/',BASE,'/',PATH];


