function DATA_DIR = OMNIWeb_get(var,dl,version)

TSDS_GLOBALS;  

if (var == '1')
  PATH = 'spacecraft_data/omni/old';
  WC = '/omni*';
end
if (var == '2')
  PATH = 'spacecraft_data/omni';
  WC   = '/omni2*';
end

WC_OTHER = '*.txt';

BASE = 'nssdcftp.gsfc.nasa.gov';
URL  = sprintf('ftp://%s/%s',BASE,PATH);
DIR  = TSDS_DATA_ORIG;

if (dl == 1)
  system(sprintf('cd %s ; echo $PWD ; %s --passive-ftp -m -l 1 "%s%s"',...
		   DIR,TSDS_WGET,URL,WC));
  system(sprintf('cd %s ; echo $PWD ; %s -m -l 1 "%s%s"',...
		 DIR,TSDS_WGET,URL,WC_OTHER));
end

DATA_DIR = [DIR,'/',BASE,'/',PATH];



