function [V,ATTR] = Yahoo_extract(DATADIR)

TSDS_GLOBALS;
  
com = sprintf('%s %s/Yahoo_extract.pl %s/Yahoo %s',...
	      TSDS_PERL,TSDS_PERLFILES,TSDS_DATA_TEMP,DATADIR);
fprintf('Yahoo_extract.m: Calling system with command %s\n',com);
system(com);

BASEDIR=[TSDS_DATA_TEMP,'/Yahoo'];
FILES=readdir(BASEDIR);

COL_NAME={'Open','Close','High','Low','Volume'};

j=1;
for i = 1:length(FILES)

  if (length(FILES{i})>4)
    if (FILES{i}(end-2:end)=='dat')
      L = length(FILES{i});
      fprintf('Yahoo_extract.m: Loading %s/%s\n',BASEDIR,FILES{i});
      temp = load([BASEDIR,'/',FILES{i}]);
      TEMP = time_union2([temp(:,3),temp(:,1),temp(:,2),temp(:,4:end)],...
			99999,'day');
      for k = 1:5
	V{j}           = TEMP(:,k);
	ATTR{j}.Year_o = temp(1,3);
	ATTR{j}.Year_f = temp(end,3);
	ATTR{j}.Name   = sprintf('%s %s',FILES{i}(1:L-4),COL_NAME{k});
	ATTR{j}.Size   = size(V{j},1);
	j = j+1;
      end
    end
  end

end
