#!/bin/perl
# Usage: Yahoo_extract.pl TMPDIR DATADIR
#
#  R.S. Weigel 04/07/2004.

use File::Find;

$TMPDIR  = $ARGV[0];
$DATADIR = $ARGV[1];

if (-d $TMPDIR) { # If directory $TMPDIR exists, remove it.
    system('rm -f $TMPDIR/*.dat');
    print "Yahoo_extract.pl: rm -f $TMPDIR/*.dat\n";
} else { # If directory $TMPDIR does not exist, create it.
    print "Yahoo_extract.pl: mkdir -p $TMPDIR\n";
    system("mkdir -p $TMPDIR");
}

@directory = ($DATADIR);

find(\&wanted, @directory);

sub wanted {

    if ($_ =~ m/\.csv/){

	print "Yahoo_extract.pl: Operating on file: $_ ... \n";

	$DATA_OUT = $_;
	$DATA_OUT =~ s/\.csv/\.dat/;
	open(DATA_in,"$_");
	open(DATA_out,">>$TMPDIR/$DATA_OUT");

	while ($line1 = <DATA_in>) {
	    $line1 =~ s$/$ $g;
	    $line1 =~ s$,$ $g;
	    print DATA_out $line1;
	}

	close(DATA_out);
	close(DATA_in);

	print "Yahoo_extract.pl: Wrote $TMPDIR/$DATA_OUT.\n";
    }
}
